Subject: Re: OpenSSH through inetd.
From: Jens Yllman <[email-masked]>
To: cygwin <[email-masked]>
Date: Thu, 03 Aug 2000 09:45:02 +0200

Now it is working. Thank you.

 /Jens

Corinna Vinschen wrote:
> 
> Corinna Vinschen wrote:
> >
> > FWIW, I can reproduce the behaviour.
> >
> > sshd only fails if started from inetd.
> >
> > I have a `stty' call in my profile and this `stty' prints an
> > interesting message:
> >
> > stty: standard input: Not a character device
> >
> > Then, the connection is closed.
> >
> > I have straced that effect by
> >
> >   strace -f inetd -d
> >
> > but unfortunately I can't see why this happens. Of course I will
> > further investigate but, nevertheless, each help is welcome.
> 
> It seems as if I have found the reason. 2.1.1p4 uses a function
> which is defined but disfunctional in Cygwin: vhangup().
> 
> I'm just testing the patched version which I will upload at
> least tomorrow.
> 
> Thanks for all your feedback,
> Corinna
> 
> --
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Developer                        mailto:[email-masked]
> Red Hat, Inc.
> mailto:[email-masked]
------------------------------------------------------------
Uniweb AB                            Phone:  +46 8 626 42 00
P O Box 745                          FAX:    +46 8 626 42 01
S-191 27  SOLLENTUNA
SWEDEN                               http://www.uniweb.se/

--
Want to unsubscribe from this list?
Send a message to [email-masked]